package com.zanxiang.sdk.service;

import com.zanxiang.common.domain.ResultVo;
import com.zanxiang.sdk.domain.params.QqLoginCallbackParam;
import com.zanxiang.sdk.domain.vo.UserLoginVO;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * @author : lingfeng
 * @time : 2022-06-21
 * @description : 用户第三方授权
 */
public interface IUserAuthService {

    /**
     * QQ授权登录
     *
     * @param response : 返回体
     */
    void qqLoginAuth(HttpServletResponse response);

    /**
     * QQ授权登录回调
     *
     * @param qqLoginCallbackParam : 回调参数
     * @param request              : request
     * @return : 返回登录token
     */
    ResultVo<UserLoginVO> qqLoginCallback(QqLoginCallbackParam qqLoginCallbackParam, HttpServletRequest request);

    /**
     * 微信授权登录
     *
     * @param response : 返回体
     */
    void vxLoginAuth(HttpServletResponse response);

    /**
     * 微信回调方法
     *
     * @param qqLoginCallbackParam : 回调参数
     * @param request              : request
     * @return : 返回登录token
     */
    ResultVo<UserLoginVO> vxLoginCallback(QqLoginCallbackParam qqLoginCallbackParam, HttpServletRequest request);
}
